Summary:	Curses client for Music Player Daemon
Summary(pl.UTF-8):	Klient curses dla demona MPD
Name:		ncmpc
Version:	0.24
Release:	1
License:	GPL v2+
Group:		Applications/Sound
Source0:	http://www.musicpd.org/download/ncmpc/0/%{name}-%{version}.tar.xz
# Source0-md5:	0717193f38446780372f2a8907316362
Source1:	ax_require_defined.m4
URL:		http://mpd.wikia.com/wiki/Client:Ncmpc
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.14
BuildRequires:	libmpdclient-devel >= 2.5
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
Suggests:	mpd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ncmpc is a curses client for the Music Player Daemon (MPD). ncmpc
connects to a MPD running on a machine on the local network, and
controls this with an interface inspired by cplay. If ncmpc is used
with lirc and irpty it can be used to manage playlists and control MPD
with a remote control.

%description -l pl.UTF-8
ncmpc to klient curses dla demona MPD (Music Player Daemon). ncmpc
łączy się z MPD działającym na maszynie w sieci lokalnej i steruje nim
przy użyciu interfejsu zainspirowanego programem cplay. Jeśli ncmpc
jest używany z lircem lub irpty, można go używać do zarządzania
playlistami i sterowania MPD za pomocą pilota.

%prep
%setup -q
%{__cp} %{SOURCE1} m4

%build
%{__glib_gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	--enable-artist-screen \
	--enable-chat-screen \
	--enable-colors \
	--enable-help-screen \
	--enable-key-screen \
	--enable-locale \
	--enable-lyrics-screen \
	--enable-mouse \
	--enable-outputs-screen \
	--enable-search-screen \
	--enable-song-screen \
	--with-lyrics-plugin-dir=%{_libdir}/ncmpc/lyrics
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%find_lang ncmpc

%clean
rm -rf $RPM_BUILD_ROOT

%files -f ncmpc.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README doc/*.sample doc/ncmpc.lirc
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/ncmpc
%dir %{_libdir}/ncmpc/lyrics
%attr(755,root,root) %{_libdir}/ncmpc/lyrics/*
%{_mandir}/man1/ncmpc.*
%changelog
* Tue Jul 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ncmpc.git;a=log;h=master

* Tue Jul 15 2014 Jan Palus <atler@pld-linux.org> b2b81a4
- updated to 0.24
- updated source url
- updated BRs
- tinfo patch no longer needed
- provided missing AX_REQUIRE_DEFINED macro
- explicitly enable features

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e7aec16
- release 2

* Tue Sep 28 2010 lisu <lisu@pld-linux.org> a53dcc8
- 0.18

* Mon Jul 19 2010 lisu <lisu@pld-linux.org> b35eaca
- link with -ltinfo

* Mon Jul 19 2010 lisu <lisu@pld-linux.org> f8b471a
- 0.17
- fix linking (-tinfo.patch)

* Wed Jan 20 2010 lisu <lisu@pld-linux.org> cc4d213
- up to 0.16.1

* Mon Jan 11 2010 sparky <sparky@pld-linux.org> 23604b6
- BR: gettext-devel, pkgconfig, rpm-pythonprov

* Mon Jan 11 2010 Krzysztof Krakowiak <evil@pld-linux.org> 31d2e32
- adapterized
- build and package lyrics plugins

* Tue Dec 29 2009 Artur Frysiak <artur@frysiak.net> 6c79a10
- updated to 0.16

* Tue Sep 29 2009 lisu <lisu@pld-linux.org> e0fb157
- 0.15

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> e01cdea
- drop obsolete files

* Wed Apr 22 2009 lisu <lisu@pld-linux.org> 5bd261a
- 0.14

* Wed Feb 18 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 385fc6e
- release 2

* Mon Jan 26 2009 Zsolt Udvari <uzsolt@pld-linux.org> 2f364c1
- suggests mpd
- adapterized

* Thu Jan 15 2009 lisu <lisu@pld-linux.org> 04857ea
- new URL

* Fri Jan 09 2009 lisu <lisu@pld-linux.org> 8e5dac1
- one more thing merged (more docs)
- more verbose things

* Fri Jan 09 2009 lisu <lisu@pld-linux.org> 410252c
- up to 0.13
- merge
- remove configure.patch

* Mon Dec 22 2008 Artur Frysiak <artur@frysiak.net> 582bf34
- updated to 0.12

* Wed Nov 26 2008 lisu <lisu@pld-linux.org> 69ed0d9
- skipp cflags checking

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> db90c80
- release 2

